import { jsx } from "react/jsx-runtime";
import { SwatchesIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Swatches = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Swatches", ...props, children: /* @__PURE__ */ jsx(SwatchesIcon, { weight: variant }) });
  }
);
Swatches.displayName = "Swatches";
Object.assign(Swatches, { isGdsIcon: true });
export {
  Swatches
};
